<!doctype html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="description" content="Mobile Web Layout Testing">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Mobile Web Layout Testing - More Form Inputs</title>
    <link rel="apple-touch-icon" href="apple-touch-icon.png">
    <meta name="apple-mobile-web-app-capable" content="yes">
    <meta name="apple-mobile-web-app-status-bar-style" content="black">
    <!-- Place favicon.ico in the root directory -->
    <!-- build:css styles/main.css -->
    <link rel="stylesheet" href="styles/main.css">
    <!-- endbuild -->
  </head>
  <body>
    <!--[if IE]><p class="browserupgrade">You are using an <strong>outdated</strong> browser. Please <a href="http://browsehappy.com/">upgrade your browser</a> to improve your experience.</p><![endif]-->

    <!-- NAVIGATION BAR ———————————————————————————————————————————————————— -->
    <nav role="navigation">
      <button id="navigation-menu-button" type="button">Menu</button>
      <ul>
        <li><a href="index.html">Home</a></li>
        <li><a href="page-two.html">Page Two</a></li>
        <li><a href="page-three.html">Page Three</a></li>
        <li><a href="more-form-inputs.html" class="active">More Forms</a></li>
      </ul>
    </nav>

    <!-- PAGE HEADER ————————————————————————————————————————————————————————-->
    <header role="banner">
      <hgroup>
        <h1>Form Input Controls</h1>
        <h2>Continued...</h2>
      </hgroup>
    </header>

    <!-- MAIN PAGE CONTENT ————————————————————————————————————————————————— -->
    <main role="main">

      <section>
        <header class="alt-section-header">
          <h3>Demo #1</h3>
          <h4>Contact Form</h4>
        </header>

        <form action="#">
          <fieldset>
            <legend>Let's Get In Touch</legend>
            <div class="form-control">
              <label for="text-input">Text Input</label>
              <input type="text" name="text-input" id="text-input" placeholder="Text Input">
            </div>
            <div class="form-control">
              <label for="email-input">Email Input</label>
              <input type="email" name="email-input" id="email-input" placeholder="Email Input">
            </div>
            <div class="form-control">
              <label for="textarea-input">Textarea Input</label>
              <textarea name="textarea-input" id="textarea-input" cols="30" rows="10" placeholder="Textarea Input"></textarea>
            </div>
          </fieldset>
          <fieldset>
            <input type="submit" name="submit-input" value="Submit Form">
          </fieldset>
        </form>
      </section>

      <section class="fluid">
        <header class="alt-section-header">
          <h3>Demo #2</h3>
          <h4>Required, Valid, Invalid States</h4>
        </header>
        <form action="" class="validating-form">
          <fieldset>
            <legend>Important Information</legend>
            <div class="form-control">
              <label for="required-text-input">Your Full Name *</label>
              <input type="text" name="required-text-input" id="required-text-input"
                     maxlength="100" minlength="3" placeholder="John Doe" required>
            </div>
            <div class="form-control">
              <label for="required-email-input">Your Email *</label>
              <input type="email" maxlength="100" name="required-email-input"
                     id="required-email-input" minlength="4" placeholder="johnny.doe@example.com" required>
            </div>
            <div class="form-control">
              <label for="required-ssn-last-four-digits">Last 4 Digits of SSN</label>
              <input type="number" name="required-ssn-last-four-digits"
                     id="required-ssn-last-four-digits" min="1000" max="9999" maxlength="4" pattern="[0-9]"  required>
            </div>

          </fieldset>
          <fieldset>
            <div class="form-control">
              <label for="phone">Phone Number</label>
              <input type="tel" id="phone" name="phone"
                     pattern="[0-9]{3}-[0-9]{3}-[0-9]{4}"
                     required>
            </div>
          </fieldset>
        </form>
      </section>
    </main>

    <!-- PAGE FOOTER ————————————————————————————————————————————————————————-->
    <footer role="contentinfo">
      <p>Copyright &copy; 2020. All Rights Reserved</p>
    </footer>

    <!-- ==== JAVASCRIPT =================================================== -->
    <!-- build:js scripts/vendor.js -->
    <script type="text/javascript" src="/node_modules/jquery/dist/jquery.min.js"></script>
    <!-- endbuild -->
    <!-- build:js scripts/main.js -->
    <script src="scripts/form-validation.js"></script>
    <script src="scripts/main.js"></script>
    <!-- endbuild -->
  </body>
</html>
